# verify_connection

Source: <https://everruns.com/docs/api/operations/verify_connection/>

POST

/v1/orgs/{org}/organization-connections/{connection\_id}/verify

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/orgs/example/organization-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/verify';
const options = {method: 'POST'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request POST \
  --url https://app.everruns.com/api/v1/orgs/example/organization-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/verify
```

* Production APIapp.everruns.com/api/v1/orgs/{org}/organization-connections/{connection\_id}/verify

Revalidate an organization-owned provider credential without returning the secret.

## Parameters

### Path Parameters

**org**

required

string

**connection\_id**

required

string format: uuid

## Responses

### 200

Media typeapplication/json

Response for connection verification

object

**error**

Provider verification failure without credential details.

string | null

**valid**

required

Whether the provider accepted the saved credential.

boolean

##### Example

```json
{
  "error": "Credential expired",
  "valid": true
}
```